<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('telepagos_payments', function (Blueprint $table) {
            $table->id();
            $table->foreignId('compra_id')->constrained('compras')->onDelete('cascade');
            $table->string('cuit_buyer')->nullable();
            $table->string('cvu_buyer')->nullable();
            $table->decimal('amount', 10, 2);
            $table->string('concept')->nullable();
            $table->string('operation')->nullable();
            $table->string('operation_id')->nullable();
            $table->string('transaction_id')->nullable();
            $table->string('qr_order_id')->nullable();
            $table->string('link_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('telepagos_payments');
    }
};
